﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HSBS_COLEXEPARAMENT', 'T_HSBS_COLEXEPARAMENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_COLEXEPARAMENT' AND KSQL_INDNAME = 'IDX_HSBS_COLEXEPARAMENT') CREATE INDEX IDX_HSBS_COLEXEPARAMENT ON T_HSBS_COLEXEPARAMENT ( FID );


 EXEC P_ALTERPK 'PK_HSBS_COLEXEPARAMENT_L', 'T_HSBS_COLEXEPARAMENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_COLEXEPARAMENT_L' AND KSQL_INDNAME = 'IDX_HSBS_COLEXEPARAMENT_L') CREATE INDEX IDX_HSBS_COLEXEPARAMENT_L ON T_HSBS_COLEXEPARAMENT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_COLLAPARAMENT', 'T_HSBS_COLLAPARAMENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_COLLAPARAMENT' AND KSQL_INDNAME = 'IDX_HSBS_COLLAPARAMENT') CREATE INDEX IDX_HSBS_COLLAPARAMENT ON T_HSBS_COLLAPARAMENT ( FFIELDKEY );


 EXEC P_ALTERPK 'PK_HSBS_COLLAPLUGINENT', 'T_HSBS_COLLAPLUGINENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_COLLAPLUGINENT' AND KSQL_INDNAME = 'IDX_HSBS_COLLAPLUGINENT') CREATE INDEX IDX_HSBS_COLLAPLUGINENT ON T_HSBS_COLLAPLUGINENT ( FPLUGINPATH );


 EXEC P_ALTERPK 'PK_HSBS_PAYROLLACT', 'T_HSBS_PAYROLLACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_PAYROLLACT' AND KSQL_INDNAME = 'IDX_HSBS_PAYROLLACT') CREATE INDEX IDX_HSBS_PAYROLLACT ON T_HSBS_PAYROLLACT ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_PAYROLLACT_L', 'T_HSBS_PAYROLLACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_PAYROLLACT_L' AND KSQL_INDNAME = 'IDX_HSBS_PAYROLLACT_L') CREATE INDEX IDX_HSBS_PAYROLLACT_L ON T_HSBS_PAYROLLACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_PAYROLLACTENT', 'T_HSBS_PAYROLLACTENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_PAYROLLACTENT' AND KSQL_INDNAME = 'IDX_HSBS_PAYROLLACTENT') CREATE INDEX IDX_HSBS_PAYROLLACTENT ON T_HSBS_PAYROLLACTENT ( FTRIGGERCOLLAID );


 EXEC P_ALTERPK 'PK_HSBS_PAYROLLACTGTPL', 'T_HSBS_PAYROLLACTGTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_PAYROLLACTGTPL' AND KSQL_INDNAME = 'IDX_HSBS_PAYROLLACTGTPL') CREATE INDEX IDX_HSBS_PAYROLLACTGTPL ON T_HSBS_PAYROLLACTGTPL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSBS_PAYROLLACTGTPL_L', 'T_HSBS_PAYROLLACTGTPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_PAYROLLACTGTPL_L' AND KSQL_INDNAME = 'IDX_HSBS_PAYROLLACTGTPL_L') CREATE INDEX IDX_HSBS_PAYROLLACTGTPL_L ON T_HSBS_PAYROLLACTGTPL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSBS_PAYROLLACTGTPLENT', 'T_HSBS_PAYROLLACTGTPLENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_PAYROLLACTGTPLENT' AND KSQL_INDNAME = 'IDX_HSBS_PAYROLLACTGTPLENT') CREATE INDEX IDX_HSBS_PAYROLLACTGTPLENT ON T_HSBS_PAYROLLACTGTPLENT ( FPAYROLLACTID );


 EXEC P_ALTERPK 'PK_HSBS_TRIGGERCOLLA', 'T_HSBS_TRIGGERCOLLA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_TRIGGERCOLLA' AND KSQL_INDNAME = 'IDX_HSBS_TRIGGERCOLLA') CREATE INDEX IDX_HSBS_TRIGGERCOLLA ON T_HSBS_TRIGGERCOLLA ( FENTITYOBJECTID );


 EXEC P_ALTERPK 'PK_HSBS_TRIGGERCOLLA_L', 'T_HSBS_TRIGGERCOLLA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSBS_TRIGGERCOLLA_L' AND KSQL_INDNAME = 'IDX_HSBS_TRIGGERCOLLA_L') CREATE INDEX IDX_HSBS_TRIGGERCOLLA_L ON T_HSBS_TRIGGERCOLLA_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSBS_constraint.sql **/
